Bug 55851 - New errata upgrade leaves dangling symlink in /usr/lib
New errata upgrade leaves dangling symlink in /usr/lib
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-07 14:14 EST by Kambiz Aghaiepour
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-07 14:14:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kambiz Aghaiepour 2001-11-07 14:14:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
After the errata release was installed, /usr/lib/libsnmp.so.0 was left as a
broken symlink, breaking anything that uses that library.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install the new ucd-snmp errata
2. ls -la /usr/lib/*snmp*


Additional info:
Comment 1 Phil Knirsch 2001-11-12 06:22:40 EST
A revised version of the errata packge is currently in QA which fixes this problem.

The new errata should be available within the week. Sorry for the inconvenience. 

Read ya, Phil
Comment 2 Marco Colombo 2001-11-15 06:45:50 EST
Meanwhile, instead of rpm -F or -U, you can do:

rpm -e --nodeps ucd-snmp
rpm -i ucd-snmp-4.2.1-4.6.x.i386.rpm

and it will create the correct symlinks...

Note You need to log in before you can comment on or make changes to this bug.